Xalan-Java 2.7.1: Class Encodings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class Encodings

    java.lang.Object
      |
      +--org.apache.xml.serializer.Encodings

public final class Encodings
extends java.lang.Object

Provides information about encodings. Depends on the Java runtime to provides writers for the different encodings.

This class is not a public API. It is only public because it is used outside of this package.

Usage:
  **For internal use only**

Constructor Summary
`Encodings()`

Method Summary
`static java.lang.String` | `convertMime2JavaEncoding(java.lang.String encoding)` Try the best we can to convert a Java encoding to a XML-style encoding.
`static char` | `getHighChar(java.lang.String encoding)` Characters with values at or below the high code point are in the encoding.
`static boolean` | `isRecognizedEncoding(java.lang.String encoding)` Determines if the encoding specified was recognized by the serializer or not.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encodings

    public Encodings()

Method Detail

### isRecognizedEncoding

    public static boolean isRecognizedEncoding(java.lang.String encoding)

  Determines if the encoding specified was recognized by the serializer or not.
  Parameters:
    `encoding` - The encoding
  Returns:
    boolean - true if the encoding was recognized else false

### convertMime2JavaEncoding

    public static java.lang.String convertMime2JavaEncoding(java.lang.String encoding)

  Try the best we can to convert a Java encoding to a XML-style encoding.

  This is not a public API.

  Parameters:
    `encoding` - non-null reference to encoding string, java style.
  Returns:
    ISO-style encoding string.

    This method is not a public API.

  Usage:
    **For internal use only**

### getHighChar

    public static char getHighChar(java.lang.String encoding)

  Characters with values at or below the high code point are in the encoding. Code point values above this one may or may not be in the encoding, but lower ones certainly are.

  This is for performance.

  Parameters:
    `encoding` - The encoding
  Returns:
    The code point for which characters at or below this code point are in the encoding. Characters with higher code point may or may not be in the encoding. A value of zero is returned if the high code point is unknown.

    This method is not a public API.

  Usage:
    **For internal use only**

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.